## Getting Started

- [Requirements & Installation](/docs/start/install)
- [Basic Configuration](/docs/start/config)
- [Routes](/docs/start/routes)
	- [Defining Routes](/docs/start/routes#define)
	- [Wildcard URI Segments](/docs/start/routes#segments)
	- [Named Routes](/docs/start/routes#named)
	- [Route Filters](/docs/start/routes#filters)
	- [Organizing Routes](/docs/start/routes#organize)
- [Views & Responses](/docs/start/views)
	- [Creating Views](/docs/start/views#create)
	- [Binding Data To Views](/docs/start/views#bind)
	- [Nesting Views Within Views](/docs/start/views#nest)
	- [Redirects](/docs/start/views#redirect)
	- [Downloads](/docs/start/views#downloads)
	- [Building URLs](/docs/start/views#urls)
	- [Building HTML](/docs/start/views#html)
- [Interaction](/docs/start/interaction)
	- [Input](/docs/start/interaction#basics)
	- [Old Input](/docs/start/interaction#old)
	- [Cookies](/docs/start/interaction#cookies)
	- [Building Forms](/docs/start/interaction#forms)
- [Data Validation](/docs/start/validation)

## Database

- [Configuration](/docs/database/config)
- [Usage](/docs/database/usage)
- [Fluent Query Builder](/docs/database/query)
- [Eloquent ORM](/docs/database/eloquent)

## Caching

- [Configuration](/docs/cache/config)
- [Usage](/docs/cache/usage)

## Sessions

- [Configuration](/docs/session/config)
- [Usage](/docs/session/usage)

## Authentication

- [Configuration](/docs/auth/config)
- [Usage](/docs/auth/usage)

## Other Topics

- [Working With Files](/docs/other/file)
- [Localization](/docs/other/lang)
- [Encryption](/docs/other/crypt)
- [Benchmarking Code](/docs/other/benchmark)